Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.provider.json4j
Class OslcSimpleRdfJsonCollectionProvider

    java.lang.Object
      org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider
          org.eclipse.lyo.oslc4j.provider.json4j.OslcRdfJsonCollectionProvider
              org.eclipse.lyo.oslc4j.provider.json4j.OslcSimpleRdfJsonCollectionProvider

All Implemented Interfaces:
  javax.ws.rs.ext.MessageBodyReader<Collection<Object>>, javax.ws.rs.ext.MessageBodyWriter<Collection<Object>>

    @Provider
    public final class OslcSimpleRdfJsonCollectionProvider

extends OslcRdfJsonCollectionProvider

Field Summary

Fields inherited from class org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider
`httpServletRequest`

Constructor Summary
`OslcSimpleRdfJsonCollectionProvider()`

Method Summary
`void` | `writeTo(Collection<Object> collection, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> map, OutputStream outputStream)`

Methods inherited from class org.eclipse.lyo.oslc4j.provider.json4j.OslcRdfJsonCollectionProvider
`getSize, isReadable, isWriteable, readFrom`

Methods inherited from class org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider
`buildBadRequestResponse, isOslcQuery, isReadable, isWriteable, readFrom, writeTo, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OslcSimpleRdfJsonCollectionProvider

    public OslcSimpleRdfJsonCollectionProvider()

Method Detail

### writeTo

    public void writeTo(Collection<Object> collection,
                        Class<?> type,
                        Type genericType,
                        Annotation[] annotations,
                        javax.ws.rs.core.MediaType mediaType,
                        javax.ws.rs.core.MultivaluedMap<String,Object> map,
                        OutputStream outputStream)
                 throws IOException,
                        javax.ws.rs.WebApplicationException

  Specified by:
    `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<Collection<Object>>`
  Overrides:
    `writeTo` in class `OslcRdfJsonCollectionProvider`
  Throws:
    `IOException`
    `javax.ws.rs.WebApplicationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.